/*
 * Tests for the various ways to test the QuickDraw 3D versions.
 * 
 * Nick Thompson, March 1997.
 */

#include <Gestalt.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>


#include "QD3D.h"

void main(void)
{
	long		gesResult ;
	
	/* check to see if QuickDraw 3D is installed */
	if(Gestalt( gestaltQD3DVersion, &gesResult ) == noErr ) 
	{
		printf("gestalt response is: %08x\n", gesResult ) ;
		
		/*
		 *  the version is packaged as a MMMMmmrr 
		 * 	where the following is 
		 *	MMMM - major release version
		 *  mm - minor release version
		 *	rr - subrelease version
		 */
		printf("QuickDraw 3D is installed.  Version %d.%d.%d\n",
					(gesResult >> 16) & 0xffff,
					(gesResult & 0xff00) >> 8,
					(gesResult & 0xff)) ;
	}
}

